# [BETA] Delete legal value for the context field DELETE https://app.unleash-instance.example.com/api/admin/projects/{projectId}/context/{contextField}/legal-values/{legalValue} **[BETA]** This API is in beta state, which means it may change or be removed in the future. Removes the specified custom context field legal value. Does not validate that the legal value is not in use and does not remove usage from constraints that use it. Reference: https://docs.getunleash.io/api/delete-context-field-legal-value-for-project ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: '[BETA] Delete legal value for the context field' version: endpoint_context.deleteContextFieldLegalValueForProject paths: /api/admin/projects/{projectId}/context/{contextField}/legal-values/{legalValue}: delete: operationId: delete-context-field-legal-value-for-project summary: '[BETA] Delete legal value for the context field' description: >- **[BETA]** This API is in beta state, which means it may change or be removed in the future. Removes the specified custom context field legal value. Does not validate that the legal value is not in use and does not remove usage from constraints that use it. tags: - - subpackage_context parameters: - name: projectId in: path required: true schema: type: string - name: contextField in: path required: true schema: type: string - name: legalValue in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: This response has no body. content: application/json: schema: $ref: >- #/components/schemas/Context_deleteContextFieldLegalValueForProject_Response_200 components: schemas: Context_deleteContextFieldLegalValueForProject_Response_200: type: object properties: {} ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField/legal-values/legalValue" headers = {"Authorization": ""} response = requests.delete(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField/legal-values/legalValue'; const options = {method: 'DELETE', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField/legal-values/legalValue" req, _ := http.NewRequest("DELETE", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField/legal-values/legalValue") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Delete.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.delete("https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField/legal-values/legalValue") .header("Authorization", "") .asString(); ``` ```php request('DELETE', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField/legal-values/legalValue', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField/legal-values/legalValue"); var request = new RestRequest(Method.DELETE); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/context/contextField/legal-values/legalValue")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "DELETE" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```